### Property

# Gtk AlertDialog:default-button

since: 4.10

#### Declaration

    property default-button: int [ read, write ]

#### Description [src]

This property determines what happens when the Return key is pressed while the alert is shown.

If this property holds the index of a button in `GtkAlertDialog:buttons`, then pressing Return is treated as if that button was pressed. If it is -1 or not a valid index for the `buttons` array, then nothing happens.

If `buttons` is `NULL`, then the automatically created ‘Close’ button is treated as both cancel and default button, so 0 is returned.

Type:`gint`

Available since: 4.10

Default value | -1
Getter method | `gtk_alert_dialog_get_default_button()`
Setter method | `gtk_alert_dialog_set_default_button()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no